#Boa:Dialog:DialogAbout

import wx
import wx.lib.buttons

def create(parent):
    return DialogAbout(parent)

[wxID_DIALOGABOUT, wxID_DIALOGABOUTGENBUTTONOK, wxID_DIALOGABOUTSTATICTEXT1, 
 wxID_DIALOGABOUTSTATICTEXT2, wxID_DIALOGABOUTSTATICTEXTAPIVERSION, 
 wxID_DIALOGABOUTSTATICTEXTGUIVERSION, 
 wxID_DIALOGABOUTSTATICTEXTSERVERVERSION, 
] = [wx.NewId() for _init_ctrls in range(7)]

class DialogAbout(wx.Dialog):
    def _init_ctrls(self, prnt):
        # generated method, don't edit
        wx.Dialog.__init__(self, id=wxID_DIALOGABOUT, name=u'DialogAbout',
              parent=prnt, pos=wx.Point(828, 428), size=wx.Size(389, 237),
              style=wx.DEFAULT_DIALOG_STYLE, title=u'About')
        self.SetClientSize(wx.Size(389, 237))
        self.Center(wx.BOTH)

        self.staticText1 = wx.StaticText(id=wxID_DIALOGABOUTSTATICTEXT1,
              label=u'Galaxy Kings', name='staticText1', parent=self,
              pos=wx.Point(80, 24), size=wx.Size(207, 29), style=0)
        self.staticText1.SetFont(wx.Font(18, wx.SWISS, wx.NORMAL, wx.NORMAL,
              False, u'Sans'))

        self.genButtonOk = wx.lib.buttons.GenButton(id=wxID_DIALOGABOUTGENBUTTONOK,
              label=u'Ok', name=u'genButtonOk', parent=self, pos=wx.Point(152,
              192), size=wx.Size(91, 30), style=0)

        self.staticText2 = wx.StaticText(id=wxID_DIALOGABOUTSTATICTEXT2,
              label=u'Report Viewer', name='staticText2', parent=self,
              pos=wx.Point(136, 56), size=wx.Size(98, 17), style=0)

        self.staticTextGuiVersion = wx.StaticText(id=wxID_DIALOGABOUTSTATICTEXTGUIVERSION,
              label=u'0.0', name=u'staticTextGuiVersion', parent=self,
              pos=wx.Point(10, 110), size=wx.Size(21, 17), style=0)
        self.staticTextGuiVersion.SetFont(wx.Font(10, wx.SWISS, wx.NORMAL,
              wx.NORMAL, False, u'Sans'))

        self.staticTextApiVersion = wx.StaticText(id=wxID_DIALOGABOUTSTATICTEXTAPIVERSION,
              label=u'0.0', name=u'staticTextApiVersion', parent=self,
              pos=wx.Point(10, 130), size=wx.Size(21, 17), style=0)

        self.staticTextServerVersion = wx.StaticText(id=wxID_DIALOGABOUTSTATICTEXTSERVERVERSION,
              label=u'0.0', name=u'staticTextServerVersion', parent=self,
              pos=wx.Point(10, 150), size=wx.Size(21, 17), style=0)

    def __init__(self, parent):
        self._init_ctrls(parent)


if __name__ == '__main__':
    app = wx.PySimpleApp()
    dlg = create(None)
    try:
        dlg.ShowModal()
    finally:
        dlg.Destroy()
    app.MainLoop()
